Page MenuHomePhabricator

[mlir][ods] Attribute and type formats: support whitespaces
ClosedPublic

Authored by Mogball on Jan 25 2022, 6:48 PM.

Details

Summary

Supports whitespace elements: and \\n as well as the "empty" whitespace `` that removes an otherwise printed space.

Depends on D118208

Diff Detail

Event Timeline

Mogball created this revision.Jan 25 2022, 6:48 PM
Mogball requested review of this revision.Jan 25 2022, 6:48 PM
rriddle accepted this revision.Jan 31 2022, 1:13 AM
rriddle added inline comments.
mlir/tools/mlir-tblgen/AttrOrTypeFormatGen.cpp
764–770
765

This should require $_printer.printNewline() just like operation formats, though I think that requires me to finish my patch for removing the nested printing awkwardness. Would be good to add a FIXME here that this should be driven by the printer.

This revision is now accepted and ready to land.Jan 31 2022, 1:13 AM
Mogball marked 2 inline comments as done.Jan 31 2022, 9:46 PM
Mogball updated this revision to Diff 404820.Jan 31 2022, 11:17 PM

review comments

Mogball updated this revision to Diff 406996.Feb 8 2022, 3:27 PM

rebase again

This revision was landed with ongoing or failed builds.Feb 8 2022, 3:27 PM
This revision was automatically updated to reflect the committed changes.